//=========================================================================
//
//	FILE:				CP_Nib_MacOS_App.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application class for the CP_Nib_MacOS demo.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:32:35 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_Nib_MacOS_Application
#define _H_CP_Nib_MacOS_Application
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Application.h"
#include "CP_DocumentPolicy_Multi.h"
#include "CP_OSStatus.h"
#include "CP_PrintPolicy_None.h"
#include "CP_SmartPtr.h"
#include "CP_Types.h"
#include "CP_UndoPolicy_None.h"

/*!
*	@class		CP_Nib_MacOS_Application
*	@brief		Application class for the Nib demo. Note: This is a MacOS only application.
*/
class CP_Nib_MacOS_Application : public CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_Multi,
		CPLAT::CP_PrintPolicy_None, CPLAT::CP_UndoPolicy_None>
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_Nib_MacOS_Application();
	//! Destructor.
	virtual								~CP_Nib_MacOS_Application() throw();
	//@}
			
protected:
	//! @name AboutBox
	//@{
	virtual	CPLAT::CP_String			GetAboutBoxDescription() const;
	//@}

	//! @name Commands
	//@{
	virtual	void						HandleOpenApplication();
	//@}

private:
	typedef CPLAT::CP_Application<CPLAT::CP_DocumentPolicy_Multi, CPLAT::CP_PrintPolicy_None, CPLAT::CP_UndoPolicy_None>	inherited;

	// class data
protected:

//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

#endif	// _H_CP_Nib_MacOS_Application

