//=========================================================================
//
//	FILE:				CP_UIClasses_Menus_Linux.cpp
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Menu definitions for the Linux menus used in the
//						CP_Demo app.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 7 $
//						Latest Checkout:  $Date: 2005-08-30 20:34:07 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

#if TARGET_OS_LINUX

	// Precompile header support
#include "CP_Precomp.h"

	// CP_UIClasses
#include "CP_UIClasses_Defines.h"

	// CPLAT_Framework
#include "CP_CommandNos.h"
#include "CP_FrameworkStructures_Linux.h"

CPLAT::CP_S_MenuItems_Linux	gMenuBar_Main[] =
{
		// File menu
	{ CPLAT::CP_E_MIMark__MenuDef	,	"File",				128,								0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"New",				CPLAT::CP_CMD_New,					0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Close",			CPLAT::CP_CMD_Close,				0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"<Seperator>",		CPLAT::CP_CMD_NoCommand,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Close",			CPLAT::CP_CMD_Close,				0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Save",				CPLAT::CP_CMD_Save,					0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Save As...",		CPLAT::CP_CMD_SaveAs,				0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"<Seperator>",		CPLAT::CP_CMD_NoCommand,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Page Setup...",	CPLAT::CP_CMD_PageSetup,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Print",			CPLAT::CP_CMD_Print,				0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"<Seperator>",		CPLAT::CP_CMD_NoCommand,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Quit",				CPLAT::CP_CMD_Quit,					0 },

		// Edit menu
	{ CPLAT::CP_E_MIMark__MenuDef,		"Edit",				129,								0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Cut",				CPLAT::CP_CMD_Cut,					0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Copy",				CPLAT::CP_CMD_Copy,					0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Paste",			CPLAT::CP_CMD_Paste,				0 },
	
		// Test
	{ CPLAT::CP_E_MIMark__MenuDef,		"Tests",			130,								0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Buttons",			kCP_UI_Classes_ButtonsCommand,		0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Track Controls",	kCP_UI_Classes_TrackersCommand,		0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Group Boxes",		kCP_UI_Classes_GroupBoxesCommand,	0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Headers",			kCP_UI_Classes_HeaderCommand,		0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Text",				kCP_UI_Classes_TextCommand,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Image",			kCP_UI_Classes_ImageCommand,		0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Misc",				kCP_UI_Classes_MiscCommand,			0 },
	{ CPLAT::CP_E_MIMark__MenuItem,		"Toolbar",			kCP_UI_Classes_ToolbarCommand,		0 },

		// end of definition marker
	{ CPLAT::CP_E_MIMark__EndDef,		"",					CPLAT::CP_CMD_NoCommand,			0 },
};

#ifndef gPopupMenu
	CPLAT::CP_S_MenuItems_Linux		gPopupMenu[] =
	{
			// File menu
		{ CPLAT::CP_E_MIMark__MenuDef,		"ButtonPopup",			1000,					-1 },
		{ CPLAT::CP_E_MIMark__MenuItem,		"Item one",				2000,					-1 },
		{ CPLAT::CP_E_MIMark__MenuItem,		"Item two",				2001,					-1 },
		{ CPLAT::CP_E_MIMark__MenuItem,		"Item three",			2002,					-1 },
		{ CPLAT::CP_E_MIMark__MenuItem,		"Item four",			2003,					-1 },
		{ CPLAT::CP_E_MIMark__MenuItem,		"Item five",			2004,					-1 },
	};
#endif

#endif	// TARGET_OS_LINUX
