/*
=========================================================================

	FILE:		CP_MemoryDumper.h
	
				Copyright  1998-2003. Ken Stahlman. All Rights Reserved.
	
	PURPOSE:	Class to dump a block of memory to a file.
	
	HISTORY:	1st Version - September 1999.
	
	NOTES:		This class is designed for debugging purposes to be able
				to save a block of memory to a file.

	VERSION:	Current Revision: $Revision: 2 $
				Latest Change On: $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $ by $Author: kenstah $

=========================================================================
*/
#ifndef _H_CP_MemoryDumper
#define _H_CP_MemoryDumper
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#ifdef __CP_USE_CP_FRAME__
	#include <CP_Frame/CP_File.h>
	#include <CP_Frame/CP_String.h>
#else
	#include "CP_File.h"
	#include "CP_String.h"
#endif

CPLAT_Begin_Namespace_CPLAT

//!  CP_MemoryDumper
/*!
  class to dump a block of memory to a file. 
*/
class CP_EXPORT CP_MemoryDumper
{
public:
											// Construction / destruction
										CP_MemoryDumper( const CP_String& inFileName );
										~CP_MemoryDumper();

			bool						Dump(
												char *inData,
												UInt32 inDataLength );

protected:
	CP_File								*fOutputFile;	/*! The file we are writing to. */
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif
};

CPLAT_End_Namespace_CPLAT

/*
=========================================================================
REVISION HISTORY:

$Log: CP_MemoryDumper.h,v $
Revision 1.1.1.1  2003/10/31 00:23:47  kenstah
Initial import.

=========================================================================
*/

#endif	// _H_CP_MemoryDumper

