//=========================================================================
//
//	FILE:				CP_Messages.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Definitions of the various message types and messages
//						used in the CPLAT framework.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_Messages
#define _H_CP_Messages
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework

CPLAT_Begin_Namespace_CPLAT

//========================================================================
// Message types
//========================================================================
const SInt32 kCP_MessageType_Application					= CP_FOUR_CHAR_CODE( 'APPL' );
const SInt32 kCP_MessageType_Document						= CP_FOUR_CHAR_CODE( 'DOCU' );
const SInt32 kCP_MessageType_User							= CP_FOUR_CHAR_CODE( 'USER' );

//========================================================================
// Messages
//========================================================================

	// Application messages
	
	// Document messages
const SInt32 kCP_Message_DocumentWindowSet					= CP_FOUR_CHAR_CODE( 'DCWS' );
const SInt32 kCP_Message_DocumentChanged					= CP_FOUR_CHAR_CODE( 'DCCH' );
const SInt32 kCP_Message_DocumentClosed						= CP_FOUR_CHAR_CODE( 'DCCL' );
const SInt32 kCP_Message_DocumentNameChange					= CP_FOUR_CHAR_CODE( 'DCNC' );
const SInt32 kCP_Message_DocumentFileSpecChange				= CP_FOUR_CHAR_CODE( 'DCSC' );
	
	// User messages
CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_Messages

