//=========================================================================
//
//	FILE:				CP_PrintPolicy_Print.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			CP_PrintPolicy class to handle printing.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 194 $
//						Latest Checkout:  $Date: 2005-05-25 22:20:49 -0700 (Wed, 25 May 2005) $
//
//=========================================================================
#ifndef _H_CP_PrintPolicy_Print
#define _H_CP_PrintPolicy_Print
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_M_CommandHandler.h"
#include "CP_NoCopy.h"
#include "CP_Printer.h"
#include "CP_UndoAction.h"

	// Standard Library
#include <list>

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class	CP_PrintPolicy_Print
*	@brief	CP_PrintPolicy class to handle printing.
*/
class CP_EXPORT CP_PrintPolicy_Print : public CP_NoCopy
{
public:
									// Construction / destruction
										CP_PrintPolicy_Print();
	virtual								~CP_PrintPolicy_Print() throw();

	//! @name Commands
	//@{
			void						HandlePageSetupUpdateCommandStatusCommand(
												CP_CommandStatus& inOutCommandStatus,
												bool& inOutWasHandled,
												CP_CommandNo& inCommandNo );
			void						HandlePageSetupCommand(
												OSStatus& inOutStatus,
												CP_CommandNo& inCommandNo );
			void						HandlePrintUpdateCommandStatusCommand(
												CP_CommandStatus& inOutCommandStatus,
												bool& inOutWasHandled,
												CP_CommandNo& inCommandNo );
			void						HandlePrintCommand(
												OSStatus& inOutStatus,
												CP_CommandNo& inCommandNo,
												CP_PrintSignal *inPrintSignal );
	//@}

			void						Cleanup();

			CP_Printer					*GetPrinter()									{ return( fPrinter ); }
			void						SetPrinter( CP_Printer *inPrinter );

			CP_Window					*GetParentWindow()								{ return( fParentWindow ); }
			void						SetParentWindow( CP_Window *inParentWindow )	{ fParentWindow = inParentWindow; }

protected:

	// class data
protected:
	CP_Printer							*fPrinter;
	
	CP_Window							*fParentWindow;
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_PrintPolicy_Print

