//=========================================================================
//
//	FILE:				CP_StClipSaver.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Stack based class to save and restore the current platforms
//						OSGraphicsPort clipping region, if supported by the
//						underlying OS..
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_StClipSaver
#define _H_CP_StClipSaver
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Canvas.h"
#include "CP_NoCopy.h"
#include "CP_Rect.h"
#include "CP_Region.h"
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_StClipSaver : public CP_NoCopy
{
public:
											// Construction / destruction
										CP_StClipSaver();
	virtual								~CP_StClipSaver();

			void						Save();
			void						Restore();

	// class data
private:
	CP_Region							fSavedClip;	// our saved clipping region
		
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_StClipSaver

