//=========================================================================
//
//	FILE:				CP_StPortSaver.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Class to handle saving and restoring of a platforms
//						graphics port.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_StPortSaver
#define _H_CP_StPortSaver
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_StPortSaver
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_StPortSaver();
	//! Destructor.
	virtual								~CP_StPortSaver();
	//@}

	//! @name Save / Restore
	//@{
			void						Save();
			void						Restore();
	//@}
			
	// class data
protected:

	#if TARGET_OS_MAC
		GWorldPtr						fSavedPort;			/*! Saved GWorldPtr */
		GDHandle						fSavedDevice;		/*! Saved GraphicsDevice. */
	#endif
		
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_StPortSaver

