//=========================================================================
//
//	FILE:				CP_AskRevertDialog.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Presents the platforms AskRevertDialog.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_AskRevertDialog
#define _H_CP_AskRevertDialog
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_FileSystemSpec.h"
#include "CP_FileSystemDialogsBase.h"

	// Standard Library
#include <vector>

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_AskRevertDialog
*	@brief		Presents the platforms AskRevertDialog.
*/
class CP_EXPORT CP_AskRevertDialog : public CP_FileSystemDialogs_Base
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_AskRevertDialog();
	//! Destructor.
	virtual								~CP_AskRevertDialog() throw();
	//@}

protected:

	// class data
protected:
			
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
protected:
	virtual	NavDialogRef				CreateDialog(
												NavDialogCreationOptions& inOptions, 
												NavEventUPP inEventUPP,
												void *inUserData );
#endif

#if TARGET_OS_WIN32
protected:
	virtual	void						RunPlatformDialog();
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_AskRevertDialog

