//=========================================================================
//
//	FILE:				CP_View_Imp_GtkWidget.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Implementation of a custom GtkWidget to provide the
//						features for the CP_View_Imp_Gtk class.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_View_CustomGtk_Imp
#define _H_CP_View_CustomGtk_Imp
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_View_Imp_Gtk.h"

CPLAT_Begin_Namespace_CPLAT

#if TARGET_OS_LINUX && ! TARGET_API_GTK2

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define CP_VIEW_GTK_WIDGET(obj)				GTK_CHECK_CAST( obj, CP_View_GtkWidget_get_type(), CP_View_GtkWidget )
#define CP_View_GtkWidget_CLASS(klass)		GTK_CHECK_CLASS_CAST( klass, CP_View_GtkWidget_get_type(), CP_View_GtkWidgetClass )
#define IS_CP_VIEW_GTK_WIDGET(obj)			GTK_CHECK_TYPE( obj, CP_View_GtkWidget_get_type() )

typedef struct _CP_View_GtkWidget			CP_View_GtkWidget;
typedef struct _CP_View_GtkWidgetClass		CP_View_GtkWidgetClass;

struct _CP_View_GtkWidget
{
	GtkWidget			fGTKWidget;
	CP_View_Imp_Gtk		*fOwnerViewImp;
};

struct _CP_View_GtkWidgetClass
{
	GtkWidgetClass		parent_class;
};

GtkWidget	*CP_View_GtkWidget_new( CP_View_Imp_Gtk *inDestView );
GtkType		CP_View_GtkWidget_get_type(void);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif	// TARGET_OS_LINUX && ! TARGET_API_GTK2

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_View_CustomGtk_Imp

