//=========================================================================
//
//	FILE:				CP_View_Imp_Gtk2Text.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 194 $
//						Latest Checkout:  $Date: 2005-05-25 22:20:49 -0700 (Wed, 25 May 2005) $
//
//=========================================================================
#ifndef _H_CP_View_Imp_Gtk2Text
#define _H_CP_View_Imp_Gtk2Text
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_LINUX

	// CPLAT_Framework
#include "CP_M_CommandHandler.h"
#include "CP_View_Imp_Gtk.h"
#include "CP_View_Imp_Win.h"
	
CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_View_Imp_Gtk2Text : public CP_View_Imp_Gtk
{
public:
									// Construction / destruction
										CP_View_Imp_Gtk2Text(
												CP_View_Imp *inOwnerViewImp,
												CP_View *inSuperview,
												const CP_Point& inUpperLeft,
												const CP_Size& inContentSize,
												bool inHasHorizontalScroll,
												bool inHasVerticalScroll );
	virtual								~CP_View_Imp_Gtk2Text() throw();
			

	//! @name Appearance
	//@{
			void						Activate();
			void						Deactivate();
	//@}

	//! @name Command Handling
	//@{
			void						HandleCommandStatus(
												CP_CommandStatus& inCommandStatus,
												bool& inOutResult,
												CP_CommandNo& inCommandNo );
										
			void						HandleCutCommand( OSStatus& inOutStatus );
			void						HandleCopyCommand( OSStatus& inOutStatus );
			void						HandleClearCommand( OSStatus& inOutStatus );
			void						HandlePasteCommand( OSStatus& inOutStatus );
			void						HandleSelectAllCommand( OSStatus& inOutStatus );
			void						HandleUndoCommand( OSStatus& inOutStatus );
			void						HandleRedoCommand( OSStatus& inOutStatus );
	//@}

	//! @name Drawing
	//@{
	virtual	void						HandleDraw( OSControl inControl );
	//@}

	//! @name Getters
	//@{
			CP_String					GetText( char inLineEnd );
			UInt32						GetTextLength();
	//@}

	//! @name Files
	//@{
			OSStatus					ReadTextFromFile( const CP_FileSystemSpec& inFileSpec );
	//@}

	//! @name Focus
	//@{
	virtual	void						OnLosingFocus();
	//@}

	//! @name Printing
	//@{
			void						Print();
	//@}

	//! @name Selection
	//@{
			void						GetSelection(
												UInt32 *inStartSelection,
												UInt32 *inEndSelection );
			void						SetSelection(
												UInt32 inStartSelection,
												UInt32 inEndSelection );
			bool						HasSelection();
	//@}

	//! @name Setters
	//@{
			void						SetText( const CP_String& inText );
			void						SetText( CP_InStream *inStream );
			void						InsertText( const CP_String& inText );
			void						InsertText(
												const char *inTextPtr,
												SInt32 inTextLength );
			void						SetFontSpec( CP_FontSpec& inFontSpec );
	//@}

protected:

private:

	// class data
protected:
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_LINUX

#endif	// _H_CP_View_Imp_Gtk2Text

