//=========================================================================
//
//	FILE:				CP_PopupButton.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			VRHotWires script editor view.
//	
//	HISTORY:			1st Version - September 2004.
//	
//	NOTES:				- none -
//
//=========================================================================
#ifndef _H_CP_PopupButton
#define _H_CP_PopupButton
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_PopupMenu.h"

CPLAT_Begin_Namespace_CPLAT

class CP_EXPORT CP_PopupButton : public CP_PopupMenu
{
public:
											// Construction / destruction
										CP_PopupButton();
										CP_PopupButton(
												CP_View *inSuperview,
												const CP_Point& inUpperLeft,
												const CP_Size& inContentSize,
												CP_String& inTitle,
												SInt16 inMenuID,
												SInt16 inTitleWidth = 0 );
	virtual								~CP_PopupButton() throw();

	//! @name Persistance
	//@{
	static CP_M_Persist					*PersistCreator();
	//@}

protected:
	virtual	void						InitEventHandler( CP_EventHandler& inEventHandler );

	// class data
protected:
	
	#if TARGET_OS_WIN32
		CP_String						fSelectedItemText;
		
		bool							fIsPushed;
	#endif
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
	//! @name Slots
	//@{
	virtual	void						HandleCommandProcess( CP_Event_Base& inEvent );
	//@}

protected:
	virtual	void						OnDraw(
												CP_Canvas& inCanvas,
												CP_Region& inUpdateArea );

			CP_Rect						CalcPopupArea();

private:
			void						HandleDraw( CP_Event_Base& inEvent );

	//! @name Events
	//@{
			void						HandleMouseDown( CP_Event_Base& inEvent );
			void						HandleMouseUp( CP_Event_Base& inEvent );

			void						DoPopupMenuClick();
	//@}


CP_String	FindMenuTextFromCommand( UInt16 inCommandNo );
SInt16 IsHierMenu( CP_String& inMenuItemText );
CP_String 	FindMenuTextInHeirMenu( UInt16 inCommandNo, SInt16 inHeirMenu );
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_PopupButton

